Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditChatInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatInviteLink>
it.tdlight.jni.TdApi.EditChatInviteLink

Enclosing class:
  TdApi

public static final class TdApi.EditChatInviteLink extends TdApi.Function<TdApi.ChatInviteLink>
Edits a non-primary invite link for a chat. Available for basic groups, supergroups, and channels. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLink`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`createsJoinRequest`
True, if the link only creates join request.
`int`
`expireDate`
Point in time (Unix timestamp) when the link will expire; pass 0 if never.
`String`
`inviteLink`
Invite link to be edited.
`int`
`memberLimit`
The maximum number of chat members that can join the chat by the link simultaneously; 0-99999; pass 0 if not limited.
`String`
`name`
Invite link name; 0-32 characters.

## Constructor Summary

Constructors
Constructor
Description
`EditChatInviteLink()`
Edits a non-primary invite link for a chat.
`EditChatInviteLink(long chatId, String inviteLink, String name, int expireDate, int memberLimit, boolean createsJoinRequest)`
Edits a non-primary invite link for a chat.
`EditChatInviteLink(DataInput input)`
Edits a non-primary invite link for a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link to be edited.

### name

public String name
Invite link name; 0-32 characters.

### expireDate

public int expireDate
Point in time (Unix timestamp) when the link will expire; pass 0 if never.

### memberLimit

public int memberLimit
The maximum number of chat members that can join the chat by the link simultaneously; 0-99999; pass 0 if not limited.

### createsJoinRequest

public boolean createsJoinRequest
True, if the link only creates join request. If true, memberLimit must not be specified.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### EditChatInviteLink

public EditChatInviteLink()
Edits a non-primary invite link for a chat. Available for basic groups, supergroups, and channels. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLink`

### EditChatInviteLink

public EditChatInviteLink(long chatId, String inviteLink, String name, int expireDate, int memberLimit, boolean createsJoinRequest)
Edits a non-primary invite link for a chat. Available for basic groups, supergroups, and channels. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLink`

Parameters:
  `chatId` - long Chat identifier.
  `inviteLink` - String Invite link to be edited.
  `name` - String Invite link name; 0-32 characters.
  `expireDate` - int Point in time (Unix timestamp) when the link will expire; pass 0 if never.
  `memberLimit` - int The maximum number of chat members that can join the chat by the link simultaneously; 0-99999; pass 0 if not limited.
  `createsJoinRequest` - boolean True, if the link only creates join request. If true, memberLimit must not be specified.

### EditChatInviteLink

public EditChatInviteLink(DataInput input) throws IOException
Edits a non-primary invite link for a chat. Available for basic groups, supergroups, and channels. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLink`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`